Package ru.bitel.bgbilling.modules.mps.server.bean

# Enum Class Conf.Protocol

java.lang.Object
java.lang.Enum<Conf.Protocol>
ru.bitel.bgbilling.modules.mps.server.bean.Conf.Protocol

All Implemented Interfaces:
  `Serializable`, `Comparable<Conf.Protocol>`, `Constable`

Enclosing class:
  `Conf`

public static enum Conf.Protocol extends Enum<Conf.Protocol>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `bisys`
  `citypay`
  `click`
  `colomna`
  `comepay`
  `cp`
  `easypay`
  `elecsnet`
  `elecsnetspb`
  `empay`
  `eport`
  `erc`
  `freecash`
  `kaspi`
  `mbank`
  `mgpe`
  `optimaplus`
  `osmp`
  `payfon24`
  `paynet`
  `pegas`
  `quickpay`
  `rapida`
  `rapida_old`
  `sb`
  `sberbank`
  `sbrf`
  `sfoura`
  `uepc`
  `unikassa`
  `vtb`
  `xplat`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Conf.Protocol`
  `get(String name)`
  `final Class<?>`
  `getTransactionManagerClass()`
  `final boolean`
  `isAuthBySign()`
  Проверка идет по подписи или по логину/паролю
  `final boolean`
  `isCanBlockPayment()`
  `final boolean`
  `isNeedPrepare()`
  `static Conf.Protocol`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Conf.Protocol[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### osmp

    public static final Conf.Protocol osmp

  - ### cp

    public static final Conf.Protocol cp

  - ### xplat

    public static final Conf.Protocol xplat

  - ### eport

    public static final Conf.Protocol eport

  - ### rapida

    public static final Conf.Protocol rapida

  - ### rapida_old

    public static final Conf.Protocol rapida_old

  - ### empay

    public static final Conf.Protocol empay

  - ### pegas

    public static final Conf.Protocol pegas

  - ### comepay

    public static final Conf.Protocol comepay

  - ### sfoura

    public static final Conf.Protocol sfoura

  - ### mgpe

    public static final Conf.Protocol mgpe

  - ### erc

    public static final Conf.Protocol erc

  - ### colomna

    public static final Conf.Protocol colomna

  - ### sb

    public static final Conf.Protocol sb

  - ### optimaplus

    public static final Conf.Protocol optimaplus

  - ### elecsnet

    public static final Conf.Protocol elecsnet

  - ### sberbank

    public static final Conf.Protocol sberbank

  - ### quickpay

    public static final Conf.Protocol quickpay

  - ### unikassa

    public static final Conf.Protocol unikassa

  - ### bisys

    public static final Conf.Protocol bisys

  - ### citypay

    public static final Conf.Protocol citypay

  - ### sbrf

    public static final Conf.Protocol sbrf

  - ### paynet

    public static final Conf.Protocol paynet

  - ### click

    public static final Conf.Protocol click

  - ### freecash

    public static final Conf.Protocol freecash

  - ### elecsnetspb

    public static final Conf.Protocol elecsnetspb

  - ### uepc

    public static final Conf.Protocol uepc

  - ### mbank

    public static final Conf.Protocol mbank

  - ### kaspi

    public static final Conf.Protocol kaspi

  - ### payfon24

    public static final Conf.Protocol payfon24

  - ### vtb

    public static final Conf.Protocol vtb

  - ### easypay

    public static final Conf.Protocol easypay

- ## Method Details

  - ### values

    public static Conf.Protocol[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Conf.Protocol valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### get

    public static Conf.Protocol get(String name)

  - ### isAuthBySign

    public final boolean isAuthBySign()
    Проверка идет по подписи или по логину/паролю
    Returns:

  - ### isNeedPrepare

    public final boolean isNeedPrepare()

  - ### isCanBlockPayment

    public final boolean isCanBlockPayment()

  - ### getTransactionManagerClass

    public final Class<?> getTransactionManagerClass()